OnACTIVATE=function(bActive,bClickActive){
	if(bClickActive) static_shadow_active.ShowCtrl(bActive);
	else static_shadow_active.Show(bActive);
}
OnInitSkin=function(){
	static_shadow_active.Show(IsActivate());
}
OnCommand=function(cmdObj){
	if(cmdObj.cmd.toLowerCase()=="setting_item"){
		if(cmdObj.ctrl.IsCheck()){
			var idStr=cmdObj.ctrl.GetID().toUpperCase();
			if(idStr=="CHECK_ITEM_NORMAL"||idStr=="CHECK_ITEM_HOTKEY"||idStr=="CHECK_ITEM_SHELLFILE"||idStr=="CHECK_ITEM_DOWNLOAD"||idStr=="CHECK_ITEM_NETWORK"){
				check_type_base.check(true);
			}
/*<!--begin_namespace:_SOFTVER_MIGU,_SOFTVER_FETION-->*/
			else if(idStr=="CHECK_ITEM_UPDATE"){
				check_type_base.check(true);
			}
/*<!--end_namespace-->*/
			else if(idStr=="CHECK_ITEM_LRCWND"||idStr=="CHECK_ITEM_DESKTOPLRC"){
				check_type_lrc.check(true);
			}
			WND_CONFIGNORAML.show(idStr=="CHECK_ITEM_NORMAL");
			WND_CONFIGSELF.show(idStr=="CHECK_ITEM_HOTKEY");
/*<!--begin_namespace:_SOFTVER_MIGU,_SOFTVER_FETION-->*/
			WND_CONFIGUPDATE.show(idStr=="CHECK_ITEM_UPDATE");
/*<!--end_namespace-->*/
			WND_CONFIGSHELLFILE.show(idStr=="CHECK_ITEM_SHELLFILE");
			WND_CONFIGDOWNLOAD.show(idStr=="CHECK_ITEM_DOWNLOAD");
			WND_CONFIGNETWORK.show(idStr=="CHECK_ITEM_NETWORK");
			WND_CONFIGDLRC.show(idStr=="CHECK_ITEM_DESKTOPLRC");
			WND_CONFIGPANELLRC.show(idStr=="CHECK_ITEM_LRCWND");
		}
	}
	else if(cmdObj.cmd.toLowerCase()=="setting_type"){
		if(cmdObj.ctrl.IsCheck()){
			var idStr=cmdObj.ctrl.GetID().toUpperCase();
			if(idStr=="CHECK_TYPE_BASE"){
				var rect=CreateDataObject();
				var size=CreateDataObject();
				rect.SetRect(20,328,0,0);
				size.SetSize(112,28);
				CHECK_TYPE_LRC.Reset(rect,size,"lt",21);
				ShowChildGroup("CG_BASE_SETTING",true);
				ShowChildGroup("CG_LRC_SETTING",false);
			}
			else if(idStr=="CHECK_TYPE_LRC"){
				var rect=CreateDataObject();
				var size=CreateDataObject();
				rect.SetRect(20,72,0,0);
				size.SetSize(112,28);
				CHECK_TYPE_LRC.Reset(rect,size,"lt",21);
				ShowChildGroup("CG_BASE_SETTING",false);
				ShowChildGroup("CG_LRC_SETTING",true);
			}
		}
	}
}